@if (vm$ | async; as vm) {
  <div
    [ngClass]="[
      'desk-tab-status-request-opendata',
      jds.d('flex'),
      jds.alignItems('end'),
      jds.justifyContent('between'),
      jds.borderBottom(2)
    ]"
    [style.borderColor]="'#9e9e9e !important'"
  >
    <ul
      #nav="jdsBiNav"
      [(activeId)]="vm.filterStatusRequest"
      [colorScheme]="colorScheme"
      [ngClass]="[jds.alignItems('center'), jds.mb(-2)]"
      jdsBiNav
      variant="ghost"
    >
      <li [jdsBiNavItem]="'all'">
        <a
          [ngClass]="[jds.d('flex'), jds.alignItems('center')]"
          (click)="onStatusRequest('all')"
          jdsBiNavLink
        >
          Semua
          @if (vm.countRequestDatasetOpenData; as countAll) {
            @if (countAll.isSuccess && countAll.data > 0) {
              <span
                [ngClass]="[
                  jds.ms(8),
                  jds.rounded('pill'),
                  jds.py(2),
                  vm.filterStatusRequest !== 'all' ? jds.bg('gray500') : ''
                ]"
                [style.borderColor]="
                  vm.filterStatusRequest !== 'all' ? '#9e9e9e !important' : ''
                "
                [style.lineHeight.px]="16"
                [colorScheme]="colorScheme"
                jdsBiBadge
              >
                {{ countAll.data }}
              </span>
            }
          }
        </a>
      </li>

      <li [jdsBiNavItem]="'submitted'">
        <a
          [ngClass]="[jds.d('flex'), jds.alignItems('center')]"
          (click)="onStatusRequest('submitted')"
          jdsBiNavLink
        >
          Diajukan
          @if (vm.countRequestDatasetOpenDataSubmitted; as countSubmitted) {
            @if (countSubmitted.isSuccess && countSubmitted.data > 0) {
              <span
                [ngClass]="[
                  jds.ms(8),
                  jds.rounded('pill'),
                  jds.py(2),
                  vm.filterStatusRequest !== 'submitted'
                    ? jds.bg('gray500')
                    : ''
                ]"
                [style.borderColor]="
                  vm.filterStatusRequest !== 'submitted'
                    ? '#9e9e9e !important'
                    : ''
                "
                [style.lineHeight.px]="16"
                [colorScheme]="colorScheme"
                jdsBiBadge
              >
                {{ countSubmitted.data }}
              </span>
            }
          }
        </a>
      </li>

      <li [jdsBiNavItem]="'processed'">
        <a
          [ngClass]="[jds.d('flex'), jds.alignItems('center')]"
          (click)="onStatusRequest('processed')"
          jdsBiNavLink
        >
          Diproses
          @if (vm.countRequestDatasetOpenDataProcessed; as countProcessed) {
            @if (countProcessed.isSuccess && countProcessed.data > 0) {
              <span
                [ngClass]="[
                  jds.ms(8),
                  jds.rounded('pill'),
                  jds.py(2),
                  vm.filterStatusRequest !== 'processed'
                    ? jds.bg('gray500')
                    : ''
                ]"
                [style.borderColor]="
                  vm.filterStatusRequest !== 'processed'
                    ? '#9e9e9e !important'
                    : ''
                "
                [style.lineHeight.px]="16"
                [colorScheme]="colorScheme"
                jdsBiBadge
              >
                {{ countProcessed.data }}
              </span>
            }
          }
        </a>
      </li>

      <li [jdsBiNavItem]="'accommodated'">
        <a
          [ngClass]="[jds.d('flex'), jds.alignItems('center')]"
          (click)="onStatusRequest('accommodated')"
          jdsBiNavLink
        >
          Diakomodir
          @if (
            vm.countRequestDatasetOpenDataAccommodated;
            as countAccommodated
          ) {
            @if (countAccommodated.isSuccess && countAccommodated.data > 0) {
              <span
                [ngClass]="[
                  jds.ms(8),
                  jds.rounded('pill'),
                  jds.py(2),
                  vm.filterStatusRequest !== 'accommodated'
                    ? jds.bg('gray500')
                    : ''
                ]"
                [style.borderColor]="
                  vm.filterStatusRequest !== 'accommodated'
                    ? '#9e9e9e !important'
                    : ''
                "
                [style.lineHeight.px]="16"
                [colorScheme]="colorScheme"
                jdsBiBadge
              >
                {{ countAccommodated.data }}
              </span>
            }
          }
        </a>
      </li>

      <li [jdsBiNavItem]="'rejected'">
        <a
          [ngClass]="[jds.d('flex'), jds.alignItems('center')]"
          (click)="onStatusRequest('rejected')"
          jdsBiNavLink
        >
          Ditolak
          @if (vm.countRequestDatasetOpenDataRejected; as countRejected) {
            @if (countRejected.isSuccess && countRejected.data > 0) {
              <span
                [ngClass]="[
                  jds.ms(8),
                  jds.rounded('pill'),
                  jds.py(2),
                  vm.filterStatusRequest !== 'rejected' ? jds.bg('gray500') : ''
                ]"
                [style.borderColor]="
                  vm.filterStatusRequest !== 'rejected'
                    ? '#9e9e9e !important'
                    : ''
                "
                [style.lineHeight.px]="16"
                [colorScheme]="colorScheme"
                jdsBiBadge
              >
                {{ countRejected.data }}
              </span>
            }
          }
        </a>
      </li>
    </ul>

    <div [ngClass]="[jds.py(8), jds.pe(16)]">
      <app-desk-sort-request />
    </div>
  </div>
}
